Skip to main content
POST
cURL

Body

application/json
sessionId
string
required

The ID of the session, as returned by POST /agents/execute

Example:

"agent_conversation_thread_01k1v4m0000000000000000000"

Response

The session is paused

sessionId
string
required

The ID of the session, as returned by POST /agents/execute

Example:

"agent_conversation_thread_01k1v4m0000000000000000000"

status
enum<string>
required

Lifecycle status of the session after the pause

Available options:
Pending,
InProgress,
Completed,
Failed,
Paused,
WaitingInLine,
Sleeping
Example:

"Paused"

queueId
string | null
required

The ID of the queue the session was on, if it was enqueued onto one

pausedSessionCount
integer
required

How many sessions were paused: the session itself plus any child sessions it started